[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Controls' (#lcl)

# TControlActionLink.DoShowHint

Formats the hint string for the client control when it includes a ShortCut or accelerator key.

## Declaration

Source position: controls.pp line 976

`protected function TControlActionLink.DoShowHint(`
`var HintStr: string`
`):Boolean; virtual;`

## Arguments

`HintStr` |  | The hint text for the client control.

## Function result

Always True.

## See also

TCustomAction.DoHint |  | DoHint - method for displaying the hint contained in HintStr if True value is returned.
TCustomAction.OnHint |  | OnHint - action to be taken when a hint is required.
TCustomAction.ShortCut |  | ShortCut- an index to a shortcut list.
TApplication.HintShortCuts |  | Enables or disables display of keyboard shortcuts (e. g. on menu items).